
import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool {
        let manager = FileManager.default
        let documents = manager.urls(for: .documentDirectory, in: .userDomainMask)
        let docURL = documents.first!
        
        let newFileURL = docURL.appendingPathComponent("myfiles/anotherfile.txt")
        let path = newFileURL.path
        let created = manager.createFile(atPath: path, contents: nil, attributes: nil)
        if !created {
            print("We couldn't create the file")
        }
        return true
    }
}
