
import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool {
        let manager = FileManager.default
        let documents = manager.urls(for: .documentDirectory, in: .userDomainMask)
        let docURL = documents.first!
        
        let newDirectoryURL = docURL.appendingPathComponent("myfiles")
        let path = newDirectoryURL.path
        do {
            try manager.createDirectory(atPath: path, withIntermediateDirectories: false, attributes: nil)
        } catch {
            print("The directory already exists")
        }
        return true
    }
}
