
import UIKit

class EditItemViewController: UIViewController {
    @IBOutlet weak var nameText: UITextField!
    var index: Int!
    var name: String!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        if name != nil {
            nameText.text = name
        }
    }
    @IBAction func saveItem(_ sender: UIButton) {
        if index != nil && name != nil {
            let text = nameText.text!
            AppData.updateItem(index: index, name: text)
        } else {
            let text = nameText.text!
            AppData.addNewItem(name: text)
        }
        navigationController?.popViewController(animated: true)
    }
}
